SDL_acosf(3)

NAME
SDL_acosf - Compute the arc cosine of x .

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

float SDL_acosf(float x);

DESCRIPTION
The definition of y=acos(x) is x=cos(y) . Domain: -1<=x<=1 Range: 0<=y<=Pi This function operates on single-precision floating point values, use SDL_acos
 for double-precision floats. This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   floating point value.

RETURN VALUE
Returns arc cosine of x , in radians

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_acos(3), SDL_asinf(3), SDL_cosf(3)